#
# spec file for package libsocialweb-branding-openSUSE
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define keydir %{_datadir}/libsocialweb/keys
%define libsocialweb_version %(rpm -q --qf '%%{version}' libsocialweb)
Name:           libsocialweb-branding-openSUSE
Version:        42.1
Release:        lp153.1.19
Summary:        A personal social data server -- API keys from openSUSE
License:        SUSE-Public-Domain
Group:          System/Libraries
URL:            http://git.gnome.org/browse/libsocialweb/
Source0:        README-keys.txt
Source1:        facebook
Source2:        facebook.key
Source3:        flickr
Source4:        lastfm
Source5:        twitpic
Source6:        twitter
Source7:        smugmug
Source8:        plurk
BuildRequires:  libsocialweb
Requires:       libsocialweb = %{libsocialweb_version}
Supplements:    packageand(libsocialweb:branding-openSUSE)
Conflicts:      libsocialweb-branding
Provides:       libsocialweb-branding = %{libsocialweb_version}
# Check keys used by Fedora package:
#   http://pkgs.fedoraproject.org/gitweb/?p=libsocialweb.git;a=tree;
BuildArch:      noarch

%description
Libsocialweb is a personal social data server, that can interact with
social web services, like Flickr, Last.fm, Twitter and Vimeo.

This package provides API keys from openSUSE, for the web services
accessible with libsocialweb.

%prep
%setup -q -T -c

%build

%install
mkdir -p %{buildroot}/%{keydir}
cp %{SOURCE1} %{buildroot}/%{keydir}
cp %{SOURCE2} %{buildroot}/%{keydir}
cp %{SOURCE3} %{buildroot}/%{keydir}
cp %{SOURCE4} %{buildroot}/%{keydir}
cp %{SOURCE5} %{buildroot}/%{keydir}
cp %{SOURCE6} %{buildroot}/%{keydir}
cp %{SOURCE7} %{buildroot}/%{keydir}
cp %{SOURCE8} %{buildroot}/%{keydir}

%files
%{keydir}/*

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Oct 12 2015 zaitor@opensuse.org
- Bump version to 42.1, to prepare for next version of openSUSE.
* Tue Apr 15 2014 zaitor@opensuse.org
- Bump version to 13.2, to prepare for next version of openSUSE.
* Mon Sep  9 2013 zaitor@opensuse.org
- Bump version to 13.1, to prepare for next version of openSUSE.
* Thu May 24 2012 aj@suse.de
- Change license to SUSE-Public-Domain (bnc#763869).
* Wed May 23 2012 vuntz@opensuse.org
- Bump version to 12.2, to prepare for next version of openSUSE.
* Fri Feb  3 2012 aj@suse.de
- Add plurk key.
* Thu Oct 13 2011 vuntz@opensuse.org
- Remove %%{release} from the libsocialweb versioned Requires, to
  not have to rebuild this package each time libsocialweb rebuilds
  to keep it installable.
* Tue Aug  2 2011 aj@suse.de
- Add openSUSE smugmug, twitter and twitpic keys.
- Update README.
* Wed Jul  6 2011 vuntz@opensuse.org
- Add a Requires for libsocialweb, since the branding package is
  useless without it.
- Do not own directories already owned by libsocialweb.
- Update summary and description.
* Fri Jun  3 2011 vuntz@opensuse.org
- Clean up packaging with spec-cleaner.
- Add the usual tags for a branding package:
  + add libsocialweb-branding Provides, versioned to the version of
    libsocialweb we were built against; this means we add a
    libsocialweb BuildRequires.
  + add otherproviders(libsocialweb-branding) Conflicts
  + add packageand(libsocialweb:branding-openSUSE) Supplements
- Change version to 12.1, to match the version of openSUSE we build
  against.
- Make package noarch.
* Tue Mar 15 2011 aj@suse.de
- Remove digg, myspace since they are not part of libsocialweb
  anymore.
* Tue Mar 15 2011 aj@suse.de
- Initial version, based on libsocialweb-keys.
